#include <RH_ASK.h>
#include <SPI.h>
#include <stdint.h>

RH_ASK driver(2000);

void setup()
{
	Serial.begin(9600);
	if (!driver.init()) Serial.println("init failed");

	pinMode(3, OUTPUT);
	pinMode(5, OUTPUT);
	pinMode(6, OUTPUT);
}

void loop()
{
	uint8_t buf[2];
	size_t buf_len = sizeof(buf);

	if (driver.recv(buf, buf_len)){
		uint8_t value = buf[0];
		uint8_t ch = buf[1];

		// 0 -> 3; 1 -> 5; 2 -> 6
		ch = (ch ? ++ch + 3 : 3);

		analogWrite(ch, value);
	}
}
