#include <RH_ASK.h>
#include <SPI.h>
#include <stdint.h>

RH_ASK driver(2000);

uint8_t lastval[] = {0,0,0};

void setup()
{
	Serial.begin(9600);
	if (!driver.init()) Serial.println("init failed");
}

void loop()
{
	for(uint8_t i = 0; i < 3; i++) {
		int val = analogRead(i)/4;

		if(val >= lastval[i]+3 || val <= lastval[i]-3){
			uint8_t msg[2] = { val, i };

			driver.send((uint8_t *)msg, 2);
			driver.waitPacketSent();

			lastval[i] = val;
		}
	}

	delay(8);
}
